Lucene search

K
osvGoogleOSV:GHSA-7R82-7XV7-XCPJ
HistoryJun 03, 2021 - 11:40 p.m.

Cross-site scripting in Apache HttpClient

2021-06-0323:40:23
Google
osv.dev
190

0.002 Low

EPSS

Percentile

53.0%

Apache HttpClient versions prior to version 4.5.13 and 5.0.3 can misinterpret malformed authority component in request URIs passed to the library as java.net.URI object and pick the wrong target host for request execution.

References